org.apache.poi.common.usermodel.fonts

## Enum FontHeader.PanoseProportion

- java.lang.Object
- - java.lang.Enum<FontHeader.PanoseProportion>
  - - org.apache.poi.common.usermodel.fonts.FontHeader.PanoseProportion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontHeader.PanoseProportion>
  Enclosing class:
    FontHeader

      public static enum FontHeader.PanoseProportion
      extends java.lang.Enum<FontHeader.PanoseProportion>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `CONDENSED`
    `EVEN_WIDTH`
    `EXPANDED`
    `MODERN`
    `MONOSPACED`
    `NO_FIT`
    `OLD_STYLE`
    `VERY_CONDENSED`
    `VERY_EXPANDED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FontHeader.PanoseProportion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontHeader.PanoseProportion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final FontHeader.PanoseProportion ANY

    - #### NO_FIT

          public static final FontHeader.PanoseProportion NO_FIT

    - #### OLD_STYLE

          public static final FontHeader.PanoseProportion OLD_STYLE

    - #### MODERN

          public static final FontHeader.PanoseProportion MODERN

    - #### EVEN_WIDTH

          public static final FontHeader.PanoseProportion EVEN_WIDTH

    - #### EXPANDED

          public static final FontHeader.PanoseProportion EXPANDED

    - #### CONDENSED

          public static final FontHeader.PanoseProportion CONDENSED

    - #### VERY_EXPANDED

          public static final FontHeader.PanoseProportion VERY_EXPANDED

    - #### VERY_CONDENSED

          public static final FontHeader.PanoseProportion VERY_CONDENSED

    - #### MONOSPACED

          public static final FontHeader.PanoseProportion MONOSPACED

  - ### Method Detail

    - #### values

          public static FontHeader.PanoseProportion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontHeader.PanoseProportion c : FontHeader.PanoseProportion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontHeader.PanoseProportion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.